> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Upsert Org Time Tracking Setting

> Creates or updates the org's per-country override, never looser than the statutory rule.

Not available to API keys yet. It will need `time:write`.

## OpenAPI

````yaml api-reference/openapi.json POST /hris/upsert-org-time-tracking-setting
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/upsert-org-time-tracking-setting:
    post:
      operationId: upsertOrgTimeTrackingSetting
      summary: Upsert Org Time Tracking Setting
      description: >-
        Creates or updates the org's per-country override, never looser than the
        statutory rule.


        Not available to API keys yet. It will need `time:write`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpsertOrgTimeTrackingSettingRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UpsertOrgTimeTrackingSettingResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    UpsertOrgTimeTrackingSettingRequest:
      type: object
      properties:
        countryCode:
          type: string
          enum:
            - ABW
            - AFG
            - AGO
            - AIA
            - ALA
            - ALB
            - AND
            - ARE
            - ARG
            - ARM
            - ASM
            - ATA
            - ATF
            - ATG
            - AUS
            - AUT
            - AZE
            - BDI
            - BEL
            - BEN
            - BES
            - BFA
            - BGD
            - BGR
            - BHR
            - BHS
            - BIH
            - BLR
            - BLZ
            - BMU
            - BOL
            - BRA
            - BRB
            - BRN
            - BTN
            - BVT
            - BWA
            - CAF
            - CAN
            - CCK
            - CHE
            - CHL
            - CHN
            - CIV
            - CMR
            - COD
            - COG
            - COK
            - COL
            - COM
            - CPV
            - CRI
            - CUB
            - CUW
            - CXR
            - CYM
            - CYP
            - CZE
            - DEU
            - DJI
            - DMA
            - DNK
            - DOM
            - DZA
            - ECU
            - EGY
            - ERI
            - ESH
            - ESP
            - EST
            - ETH
            - FIN
            - FJI
            - FLK
            - FRA
            - FRO
            - FSM
            - GAB
            - GBR
            - GEO
            - GGY
            - GHA
            - GIB
            - GIN
            - GLP
            - GMB
            - GNB
            - GNQ
            - GRC
            - GRD
            - GRL
            - GTM
            - GUF
            - GUM
            - GUY
            - HKG
            - HMD
            - HND
            - HRV
            - HTI
            - HUN
            - IDN
            - IMN
            - IND
            - IOT
            - IRL
            - IRN
            - IRQ
            - ISL
            - ISR
            - ITA
            - JAM
            - JEY
            - JOR
            - JPN
            - KAZ
            - KEN
            - KGZ
            - KHM
            - KIR
            - KNA
            - KOR
            - KWT
            - LAO
            - LBN
            - LBR
            - LBY
            - LCA
            - LIE
            - LKA
            - LSO
            - LTU
            - LUX
            - LVA
            - MAC
            - MAF
            - MAR
            - MCO
            - MDA
            - MDG
            - MDV
            - MEX
            - MHL
            - MKD
            - MLI
            - MLT
            - MMR
            - MNE
            - MNG
            - MNP
            - MOZ
            - MRT
            - MSR
            - MTQ
            - MUS
            - MWI
            - MYS
            - MYT
            - NAM
            - NCL
            - NER
            - NFK
            - NGA
            - NIC
            - NIU
            - NLD
            - NOR
            - NPL
            - NRU
            - NZL
            - OMN
            - PAK
            - PAN
            - PCN
            - PER
            - PHL
            - PLW
            - PNG
            - POL
            - PRI
            - PRK
            - PRT
            - PRY
            - PSE
            - PYF
            - QAT
            - REU
            - ROU
            - RUS
            - RWA
            - SAU
            - SDN
            - SEN
            - SGP
            - SGS
            - SHN
            - SJM
            - SLB
            - SLE
            - SLV
            - SMR
            - SOM
            - SPM
            - SRB
            - SSD
            - STP
            - SUR
            - SVK
            - SVN
            - SWE
            - SWZ
            - SXM
            - SYC
            - SYR
            - TCA
            - TCD
            - TGO
            - THA
            - TJK
            - TKL
            - TKM
            - TLS
            - TON
            - TTO
            - TUN
            - TUR
            - TUV
            - TWN
            - TZA
            - UGA
            - UKR
            - UMI
            - URY
            - USA
            - UZB
            - VAT
            - VCT
            - VEN
            - VGB
            - VIR
            - VNM
            - VUT
            - WLF
            - WSM
            - YEM
            - ZAF
            - ZMB
            - ZWE
        status:
          type:
            - string
            - 'null'
          enum:
            - REQUIRED
            - RECOMMENDED
            - NOT_REQUIRED
            - null
        maxDailyHours:
          type:
            - number
            - 'null'
          minimum: 0
          maximum: 24
        maxWeeklyHours:
          type:
            - number
            - 'null'
          minimum: 0
          maximum: 168
        minDailyRestHours:
          type:
            - number
            - 'null'
          minimum: 0
          maximum: 24
        minWeeklyRestHours:
          type:
            - number
            - 'null'
          minimum: 0
          maximum: 168
        breakThresholdHours:
          type:
            - number
            - 'null'
          minimum: 0
          maximum: 24
        breakDurationMinutes:
          type:
            - integer
            - 'null'
          minimum: 0
        autopilotEligible:
          type:
            - boolean
            - 'null'
        shortBreakPay:
          type:
            - string
            - 'null'
          enum:
            - PAID
            - UNPAID
            - null
        mealBreakPay:
          type:
            - string
            - 'null'
          enum:
            - PAID
            - UNPAID
            - null
        standardDailyHours:
          type:
            - number
            - 'null'
          minimum: 0
          maximum: 24
        standardWeeklyHours:
          type:
            - number
            - 'null'
          minimum: 0
          maximum: 168
        notes:
          type:
            - string
            - 'null'
          maxLength: 1000
      required:
        - countryCode
    UpsertOrgTimeTrackingSettingResponse:
      type: object
      properties:
        orgTimeTrackingSettingID:
          type: string
      required:
        - orgTimeTrackingSettingID
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
